Bug 20875 - OpacAddMastheadLibraryPulldown displays an empty list
Summary: OpacAddMastheadLibraryPulldown displays an empty list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16735 20838
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-04 14:12 UTC by Jonathan Druart
Modified: 2018-06-14 13:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown (2.45 KB, patch)
2018-06-04 14:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown (2.50 KB, patch)
2018-06-04 19:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown (2.57 KB, patch)
2018-06-07 08:06 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-06-04 14:12:27 UTC
Regression from
  commit 2059f7d8016ab61172830e9b670279d3e28882b7
  Bug 16735: Migrate library search groups into the new hierarchical groups

It re-added code that was removed by bug 15758 (use of var BranchesLoop).
Comment 1 Jonathan Druart 2018-06-04 14:29:47 UTC
Created attachment 75773 [details] [review]
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown

This patch fixes a regression introduced by
  commit 2059f7d8016ab61172830e9b670279d3e28882b7
  Bug 16735: Migrate library search groups into the new hierarchical groups

It re-added code that was removed by bug 15758 (use of var BranchesLoop).

Test plan:
- Create library search groups
- Turn OpacAddMastheadLibraryPulldown on
- At the OPAC confirm that the search box with libraries and library
groups is displayed and works correctly.
- Remove the library search group
- The dropdown list should not have the optgroup tags
Comment 2 Katrin Fischer 2018-06-04 19:28:24 UTC
Created attachment 75790 [details] [review]
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown

This patch fixes a regression introduced by
  commit 2059f7d8016ab61172830e9b670279d3e28882b7
  Bug 16735: Migrate library search groups into the new hierarchical groups

It re-added code that was removed by bug 15758 (use of var BranchesLoop).

Test plan:
- Create library search groups
- Turn OpacAddMastheadLibraryPulldown on
- At the OPAC confirm that the search box with libraries and library
groups is displayed and works correctly.
- Remove the library search group
- The dropdown list should not have the optgroup tags

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2018-06-07 07:56:18 UTC
Thx Martin for catching the forgotten status change!
Comment 4 Martin Renvoize 2018-06-07 08:06:17 UTC
Created attachment 75867 [details] [review]
Bug 20875: (bug 16735 follow-up) Fix library list for OpacAddMastheadLibraryPulldown

This patch fixes a regression introduced by
  commit 2059f7d8016ab61172830e9b670279d3e28882b7
  Bug 16735: Migrate library search groups into the new hierarchical groups

It re-added code that was removed by bug 15758 (use of var BranchesLoop).

Test plan:
- Create library search groups
- Turn OpacAddMastheadLibraryPulldown on
- At the OPAC confirm that the search box with libraries and library
groups is displayed and works correctly.
- Remove the library search group
- The dropdown list should not have the optgroup tags

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-06-07 08:07:37 UTC
Simple change works as expected and doesn't break any tests.

I'd love to see an accompanying selenium (or whatever) integration test, but as we don't yet have a clear framework for such tests I can't justifiably fail it for not having one.
Comment 6 Nick Clemens 2018-06-08 13:57:15 UTC
Pushed to master for 18.11, awesome work all!
Comment 7 Martin Renvoize 2018-06-11 08:13:56 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 8 Fridolin SOMERS 2018-06-14 13:08:39 UTC
Depends on Bug 16735 not in 17.11.x